Bug 149133 - kjournald writes to disc non-stop
kjournald writes to disc non-stop
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-18 19:31 EST by Jason Boisvert
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Boisvert 2005-02-18 19:31:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0 StumbleUpon/1.9991

Description of problem:
I have an smp system and a laptop and both have kjournald writing to disc non-stop.
This problem doesn't happen right away. But after a few weeks of running the system it seems to get progressively worse.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start the system
2.
3.
  

Actual Results:  kjournald starts writing to disc non-stop

Expected Results:  quiet harddrive

Additional info:
Comment 1 Jason Boisvert 2005-02-21 15:37:39 EST
Note that this problem can be somewhat controlled by e.g. starting the laptop
without ac, then plugging once booted. Or sometimes by unplugging then
replugging the power cord.
It seems like something is going on with acpi.
Comment 2 Dave Jones 2005-02-23 23:07:13 EST
could be the memory leak that was fixed recently. Can you try the kernel at
http://people.redhat.com/davej/kernels/Fedora/FC3/ please ?
Comment 3 Jason Boisvert 2005-02-23 23:31:26 EST
no change to disk activity. here is a sample of the dmesg output when block_dump
is enabled.

kjournald(471): WRITE block 42616 on dm-0
kjournald(471): WRITE block 42624 on dm-0
kjournald(471): WRITE block 42632 on dm-0
kjournald(471): WRITE block 42640 on dm-0
kjournald(471): WRITE block 42648 on dm-0
kjournald(471): WRITE block 42656 on dm-0
kjournald(471): WRITE block 42664 on dm-0

it runs through blocks like this 8 at a time. but like I said, messing around
with how it's plugged in at bootup and then unplugging - replugging etc makes it
finally quiet.
jpb
Comment 4 Dave Jones 2005-07-15 16:22:21 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:59:57 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.